Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.stochprocess
Class GeometricVarianceGammaProcess

    java.lang.Object
      umontreal.iro.lecuyer.stochprocess.StochasticProcess
          umontreal.iro.lecuyer.stochprocess.GeometricVarianceGammaProcess

    public class GeometricVarianceGammaProcess

extends StochasticProcess

This class represents a geometric variance gamma process S(t) (see). This stochastic process is defined by the equation

S(t) = S(0) exp(μt + X(t;σ, ν, θ) + ωt),

where X is a variance gamma process and

ω = (1/ν) ln(1 - θν - σ2ν/2).

Field Summary

Fields inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`path`

Constructor Summary
`GeometricVarianceGammaProcess(double s0, double theta, double sigma, double nu, double mu, RandomStream stream)` .
`GeometricVarianceGammaProcess(double s0, double mu, VarianceGammaProcess vargamma)` Constructs a new `GeometricVarianceGammaProcess`.

Method Summary
`double[]` | `generatePath()` Generates, returns, and saves the sample path {X(t0), X(t1),…, X(td)}, which can then be accessed via `getPath`, `getSubpath`, or `getObservation`.
`double[]` | `generatePath(double[] uniform01)`
`double` | `getCurrentUpperBound()`
`double` | `getMu()` Returns the value of the parameter μ.
`double` | `getNu()` Returns the value of the parameter ν.
`double` | `getOmega()` Returns the value of the quantity ω defined in.
`double` | `getSigma()` Returns the value of the parameter σ.
`RandomStream` | `getStream()` Returns the random stream of the underlying generator.
`double` | `getTheta()` Returns the value of the parameter θ.
`VarianceGammaProcess` | `getVarianceGammaProcess()` Returns a reference to the variance gamma process X defined in the constructor.
`double` | `nextObservation()` Generates and returns the next observation X(tj) of the stochastic process.
`void` | `resetStartProcess()` Resets the `GeometricaVarianceGammaProcess`, but also applies the `resetStartProcess` method to the `VarianceGammaProcess` object used to generate this process.
`void` | `setParams(double s0, double theta, double sigma, double nu, double mu)` Sets the parameters S(t0) = [tex2html_wrap_inline243], θ = [tex2html_wrap_inline245], σ = [tex2html_wrap_inline247], ν = [tex2html_wrap_inline249] and μ = [tex2html_wrap_inline251] of the process.
`void` | `setStream(RandomStream stream)` Resets the random stream of the underlying generator to `stream`.

Methods inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`generatePath, getArrayMappingCounterToIndex, getCurrentObservation, getCurrentObservationIndex, getNbObservationTimes, getObservation, getObservationTimes, getPath, getSubpath, getX0, hasNextObservation, setObservationTimes, setObservationTimes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeometricVarianceGammaProcess

    public GeometricVarianceGammaProcess(double s0,
                                         double theta,
                                         double sigma,
                                         double nu,
                                         double mu,
                                         RandomStream stream)

  . Constructs a new `GeometricVarianceGammaProcess` with parameters θ = , σ = , ν = , μ = and initial value S(t0) = . The `stream` is used to generate the `VarianceGammaProcess` object used to implement X in.

### GeometricVarianceGammaProcess

    public GeometricVarianceGammaProcess(double s0,
                                         double mu,
                                         VarianceGammaProcess vargamma)

  Constructs a new `GeometricVarianceGammaProcess`. The parameters θ, σ, ν are set to the parameters of the `VarianceGammaProcess` `vargamma`. The parameter μ is set to `mu` and the initial values S(t0) = [tex2html_wrap_inline240].

Method Detail

### nextObservation

    public double nextObservation()

  Description copied from class: `StochasticProcess`
  Generates and returns the next observation X(tj) of the stochastic process. The processes are usually sampled sequentially, i.e. if the last observation generated was for time tj-1, the next observation returned will be for time tj. In some cases, subclasses extending this abstract class may use non-sequential sampling algorithms (such as bridge sampling). The order of generation of the tj's is then specified by the subclass. All the processes generated using principal components analysis (PCA) do not have this method.

  Overrides:
    `nextObservation` in class `StochasticProcess`

### generatePath

    public double[] generatePath()

  Description copied from class: `StochasticProcess`
  Generates, returns, and saves the sample path {X(t0), X(t1),…, X(td)}, which can then be accessed via `getPath`, `getSubpath`, or `getObservation`. The generation method depends on the process type.

  Specified by:
    `generatePath` in class `StochasticProcess`

### generatePath

    public double[] generatePath(double[] uniform01)

### getCurrentUpperBound

    public double getCurrentUpperBound()

### resetStartProcess

    public void resetStartProcess()

  Resets the `GeometricaVarianceGammaProcess`, but also applies the `resetStartProcess` method to the `VarianceGammaProcess` object used to generate this process.

  Overrides:
    `resetStartProcess` in class `StochasticProcess`

### setParams

    public void setParams(double s0,
                          double theta,
                          double sigma,
                          double nu,
                          double mu)

  Sets the parameters S(t0) = [tex2html_wrap_inline243], θ = [tex2html_wrap_inline245], σ = [tex2html_wrap_inline247], ν = [tex2html_wrap_inline249] and μ = [tex2html_wrap_inline251] of the process. Warning: This method will recompute some quantities stored internally, which may be slow if called repeatedly.

### getTheta

    public double getTheta()

  Returns the value of the parameter θ.

### getMu

    public double getMu()

  Returns the value of the parameter μ.

### getNu

    public double getNu()

  Returns the value of the parameter ν.

### getSigma

    public double getSigma()

  Returns the value of the parameter σ.

### getOmega

    public double getOmega()

  Returns the value of the quantity ω defined in.

### getVarianceGammaProcess

    public VarianceGammaProcess getVarianceGammaProcess()

  Returns a reference to the variance gamma process X defined in the constructor.

### setStream

    public void setStream(RandomStream stream)

  Description copied from class: `StochasticProcess`
  Resets the random stream of the underlying generator to `stream`.

  Specified by:
    `setStream` in class `StochasticProcess`

### getStream

    public RandomStream getStream()

  Description copied from class: `StochasticProcess`
  Returns the random stream of the underlying generator.

  Specified by:
    `getStream` in class `StochasticProcess`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.